Main Page Class Hierarchy Compound List File List Compound Members File Members

# _SM_CHAN Struct Reference

`#include <rw_strongmotion.h>`

List of all members.

## Public Attributes
char | sta [SM_STA_LEN+1]
char | comp [SM_COMP_LEN+1]
char | net [SM_NET_LEN+1]
char | loc [SM_LOC_LEN+1]
double | acc
double | vel
double | disp
int | nRSA
double | freq [SM_MAX_RSA]
double | RSA [SM_MAX_RSA]

## Member Data Documentation

double _SM_CHAN::acc

| Definition at line 71 of file rw_strongmotion.h. Referenced by log_strongmotion(), rd_strongmotion(), and wr_strongmotion().

char _SM_CHAN::comp[SM_COMP_LEN+1]

| Definition at line 68 of file rw_strongmotion.h. Referenced by log_strongmotion(), rd_strongmotion(), and wr_strongmotion().

double _SM_CHAN::disp

| Definition at line 73 of file rw_strongmotion.h. Referenced by log_strongmotion(), rd_strongmotion(), and wr_strongmotion().

double _SM_CHAN::freq[SM_MAX_RSA]

| Definition at line 75 of file rw_strongmotion.h. Referenced by log_strongmotion(), rd_strongmotion(), and wr_strongmotion().

char _SM_CHAN::loc[SM_LOC_LEN+1]

| Definition at line 70 of file rw_strongmotion.h. Referenced by log_strongmotion(), rd_strongmotion(), and wr_strongmotion().

char _SM_CHAN::net[SM_NET_LEN+1]

| Definition at line 69 of file rw_strongmotion.h. Referenced by log_strongmotion(), rd_strongmotion(), and wr_strongmotion().

int _SM_CHAN::nRSA

| Definition at line 74 of file rw_strongmotion.h. Referenced by log_strongmotion(), rd_strongmotion(), and wr_strongmotion().

double _SM_CHAN::RSA[SM_MAX_RSA]

| Definition at line 76 of file rw_strongmotion.h. Referenced by log_strongmotion(), rd_strongmotion(), and wr_strongmotion().

char _SM_CHAN::sta[SM_STA_LEN+1]

| Definition at line 67 of file rw_strongmotion.h. Referenced by log_strongmotion(), rd_strongmotion(), and wr_strongmotion().

double _SM_CHAN::vel

| Definition at line 72 of file rw_strongmotion.h. Referenced by log_strongmotion(), rd_strongmotion(), and wr_strongmotion().

The documentation for this struct was generated from the following file:

- rw_strongmotion.h